TJ3CLIENT(1)

NAME
tj3client - send commands and data to the TaskJuggler daemon

SYNOPSIS
tj3client [options] <command> [arg1 arg2 ...]

DESCRIPTION
The TaskJuggler client is used to send commands and data to the TaskJuggler daemon. The communication is done via TCP/IP.

The following commands are supported:

    status

    Display the status of the available projects

    terminate

    Terminate the TaskJuggler daemon

    add <tjp file> [<tji file> ...]

    Add a new project or update and existing one

    update

    Reload all projects that have modified files and are not being reloaded already

    remove <project ID> [<project ID> ...]

    Remove the project with the specified ID from the daemon

report <project ID> <report ID> [<report ID> ...] [=
    [<tji file> ...]]

    Generate the report with the provided ID for the project with the given ID

    list-reports <project ID> [report ID ]

    List all available reports of the project or those that match the provided report ID

    check-ts <project ID> <time sheet>

    Check the provided time sheet for correctness against the project with the given ID

    check-ss <project ID> <status sheet>

    Check the provided status sheet for correctness against the project with the given ID

OPTIONS

-c, --config <FILE>
    Use the specified YAML configuration file

--silent
    Don't show program and progress information

--no-color
    Don't use ANSI contol sequences to color the terminal output. Colors should only be used when spooling to an ANSI terminal. In case the detection fails, you can use this option to force colors to be off.

--debug
    Enable Ruby debug mode

-p, --port <NUMBER>
    Use the specified TCP/IP port

--urifile <FILE>
    If the port is 0, use this file to get the URI of the server.

-r, --regexp
    The report IDs are not fixed but regular expressions that match a set of reports

--unsafe
    Run the program without sandbox protection. This is not recommended for normal operation! It may only be used for debugging or testing purposes.

--format [FORMAT]
    Request the report to be generated in the specifiedformat. Use multiple options to request multiple formats. Supported formats are csv, html, niku and tjp. By default, the formats specified in the report definition are used.

-h, --help
    Show this message

--version
    Show version info

ENVIRONMENT

HOME
    The user's home folder. Used to search for configuration file if not specified.

FILES

.taskjugglerrc or taskjuggler.rc
    tj3d searches for a config file named .taskjugglerrc or taskjuggler.rc in the current path, the user's home path as specified by the HOME environment variable or /etc/. At a minimum the file must contain:

    _global:
      authKey: ********

    (the user should specify their own auth key and set file permissions accordingly). An alternative config file location may be specified using the -c, --config FILE option.

EXAMPLES

Load a project:
    tj3client add yourproject.tjp

List available reports for a project:
    tj3client list-reports <project_id>

Generate a report:
    tj3client report <project_id> <report_id>

Terminate a running instance of the server:
    tj3client terminate

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020

    by Chris Schlaeger <cs@taskjuggler.org>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation.

For more info about TaskJuggler see http://www.taskjuggler.org

SEE ALSO
tj3d(1)

The full TaskJuggler manual is available online at http://www.taskjuggler.org/tj3/manual/, or via the tj3man command.